%global namedreltag .Final-redhat-4
%global fullreltag .Final_redhat_4
%global namedversion %{version}%{?namedreltag}
%global prodversion 6.0

%define with()          %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()       %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%define bcond_with()    %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}

%bcond_without mead

%define base_name jbossas
# jbhomedir is /usr/share/jbossas  (files must be immutable)
%define jbhomedir %{_datadir}/%{base_name}
# jbossdir is /var/lib/jbossas  (any mutable file like logs must go here)
%define jbossdir %{_localstatedir}/lib/%{base_name}

%define maven_version 7.1.3-4.Final_redhat_4.ep6.el6

Name: jbossas-appclient
Version:          7.1.3
Release:          4%{fullreltag}%{?dist}
Summary: EAP 6 AS JEE Application Client Container
License: OpenSource
URL:              https://github.com/jbossas/jboss-as
Group: Development/Libraries

%if %with mead
Source102: jbossas-appclient-7.1.3.Final-redhat-4.zip
Source103: jbossas-appclient-7.1.3.Final-redhat-4.pom
%endif


BuildRequires:    jpackage-utils

Requires:         jpackage-utils
Requires:         java
Requires:         jbossas-core

BuildArch:        noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot

%description
EAP AS 6 JEE Application Client Container.

%prep
unzip %{_sourcedir}/%{name}-%{namedversion}.zip \
      jboss-eap-%{prodversion}/bin/appclient.sh \
      jboss-eap-%{prodversion}/bin/appclient.conf \
      jboss-eap-%{prodversion}/appclient/*


%build
                                                                                                     
%install
pushd jboss-eap-%{prodversion}

# Create directories
# Variable files go there
install -d -m 755 $RPM_BUILD_ROOT%{jbossdir}/appclient
# Config files go there
install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/%{base_name}/appclient
# Directory for immutable files
# Links to variable file and config file locations make it appear
# like a full JBOSS_HOME tree
install -d -m 755 $RPM_BUILD_ROOT%{jbhomedir}

# Symlink to re-create a JBOSS_HOME
%{__ln_s} %{jbossdir}/appclient $RPM_BUILD_ROOT%{jbhomedir}/appclient
# The one below is $RPM_BUILD_ROOT%{jbhomedir}/appclient/configuration
%{__ln_s} %{_sysconfdir}/%{base_name}/appclient \
          $RPM_BUILD_ROOT%{jbossdir}/appclient/configuration

# Now install files

# bin dir scripts
install -d -m 755 $RPM_BUILD_ROOT%{jbhomedir}/bin
%{__cp} -pr bin/* $RPM_BUILD_ROOT%{jbhomedir}/bin

# Example config
%{__cp} -pr appclient/configuration/* \
            $RPM_BUILD_ROOT%{_sysconfdir}/%{base_name}/appclient

popd
                                                                                                     
%pre
JBOSS_SHELL=/sbin/nologin
%{_sbindir}/groupadd -r jboss 2>/dev/null || :
%{_sbindir}/useradd -c JBossAS -r -s $JBOSS_SHELL -d %{_localstatedir}/lib/jbossas -g jboss jboss 2>/dev/null || :


%clean
                                                                                                     
%files
# Variable files will go here
# Permissions removed for JBPAPP-9593
%defattr(0644,jboss,jboss,0750)
%dir %{jbossdir}
%dir %{jbossdir}/appclient
# Config files will go here
%dir %{_sysconfdir}/%{base_name}
%dir %{_sysconfdir}/%{base_name}/appclient
%config(noreplace) %{_sysconfdir}/%{base_name}/appclient/appclient.xml
%config(noreplace) %{_sysconfdir}/%{base_name}/appclient/logging.properties
%defattr(0644,jboss,jboss,0755)
# Scrips
%dir %{jbhomedir}
%dir %{jbhomedir}/bin
%attr(0755,jboss,jboss) %{jbhomedir}/bin/appclient.sh
%{jbhomedir}/bin/appclient.conf
# JBOSS_HOME symlinks
%dir %{jbhomedir}
%dir %{jbhomedir}/appclient
#%%dir %{jbhomedir}/appclient/configuration
%dir %{jbossdir}/appclient/configuration


%changelog
* Thu Nov 22 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.3-4.Final_redhat_4
- EAP 6.0.1 ER4

* Thu Nov 22 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.3-4.Final_redhat_4
- EAP 6.0.1 ER4

* Wed Oct 24 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.3-3.2.Final_redhat_3
- Use %%defattr for dir perms (for JBPAPP-9593)

* Fri Oct 19 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.3-3.1.Final_redhat_3
- EAP 6.0.1 ER3

* Fri Oct 19 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.3-3.Final_redhat_3
- EAP 6.0.1 ER3

* Fri Oct 19 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.3-3.Final_redhat_3
- EAP 6.0.1 ER3

* Fri Sep 28 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.3-2.1.Final_redhat_2
- Use smaller ZIP as source

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.3-2.Final_redhat_2.1
- Rebuild for MD5

* Mon Sep 17 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.3-2.Final_redhat_2
- EAP 6.0.1 ER2

* Mon Sep 17 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.3-2.Final_redhat_2
- EAP 6.0.1 ER2

* Wed Sep 05 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.3-1.Final_redhat_1
- EAP 6.0.1 ER1

* Mon Jul 30 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.2-11.1.Final_redhat_1
- Rebuild of 6.0.0.GA unsigned

* Mon Jul 30 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.2-11.1.Final_redhat_1
- Rebuild of 6.0.0.GA unsigned

* Mon Jul 30 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.2-11.Final_redhat_1
- Rebuild of 6.0.0.GA unsigned

* Tue May 29 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.2-7.Final_redhat_1
- CR1 build

* Thu May 24 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.2-6.Final_redhat_1
- ER9 build

* Tue May 15 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.2-5.Final_redhat_1
- ER8 build

* Thu May 10 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.2-1.Final
- Upgrade to 7.1.2.Final

*Thu Apr 19 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.1-3.Final
- Rebuild with apache-commons-*-eap6 and some other packages rebuilt w/ fixes

*Wed Apr 11 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.1-2.Final
- Rebuild with -eap6 and some other package fixes

*Fri Mar 30 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.1-1.Final.1
- Upgrade to 7.1.1.Final+  (ER4.1)

* Wed Mar 14 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.0-1.Final
- Upgrade to ER3

* Tue Jan 24 2012 Fernando Nasser <fnasser@redhat.com> - 0:7.1.0-0.1.CR1.2
- Fix useradd

* Thu Jan 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:7.1.0-0.1.CR1.1
- Wrap MEAD build for EAP 6

